

export const stringColor = {

   stringToColor(string) {
      if (!string) {
        // return '#' + Math.floor(Math.random()*16777215).toString(16);
        return '#aaa'
      }
      let hash = 0;    
      for (let i = 0; i < string?.length; i += 1) {
        hash = string.charCodeAt(i) + ((hash << 5) - hash);
      }    
      let color = '#'; 
      for (let i = 0; i < 3; i += 1) {
        const value = (hash >> (i * 8)) & 0xff;
        color += `00${value.toString(16)}`.substr(-2);
      }   
      return color;
    },
    
    stringSplit(str) {
      if (!str) {
        return 
      }
      let titleStr = ''
      let letterAmount = 2
      for (const word of str.split(' ')) {
        if (letterAmount <= 0) {
          break
        }
        letterAmount--
        if (word) {
          titleStr += word[0].toUpperCase()
        }  
      }
      return titleStr
    },
    
    stringAvatar(name) { 
      return {
        sx: {
          bgcolor: this.stringToColor(name),
        },
        children: this.stringSplit(name)
      };
    }
}

