import React, { useState } from 'react'

import {
   MenuDrawer, 
   SearchBlock, 
   Header, 
} from "../components"


const asidePageContainer = {
   height: "100vh",
   maxWidth: "100%"
}
const asidePageHeader = {
   height: "60px"
}

export const AsidePage = ({children}) => {

   const [input, setInput] = useState('')

   return (
      <div style={asidePageContainer}>

         <div style={asidePageHeader}>
            <Header>
               <MenuDrawer />
               <SearchBlock setInput={setInput} />
            </Header>  
         </div>

         {children}

      </div>
   )
}
