import {gql} from '../helpers'
import {   
   actionPromise, 
} from '../reducers'


export const actionUploadFile = (name, file) => {
    let fd = new FormData()
    fd.append(name, file)
    return actionPromise('uploadFile', fetch(
        'http://chat.fs.a-level.com.ua/upload', {
            method: "POST",
            headers: localStorage.authToken ? {Authorization: 'Bearer ' + localStorage.authToken} : {},
            body: fd
        }
    ).then(res => res.json()))
}

    



